JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.actions.add('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
position: 0,
});
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.actions.add(
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
position=0,
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Workflows.Flows.Actions.Add(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mobileruncloud.WorkflowFlowActionAddParams{
ActionID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
Position: 0,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud workflows:flows:actions add \
--api-key 'My API Key' \
--flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--action-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--position 0curl --request POST \
--url https://api.mobilerun.ai/flows/{flowId}/actions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"continueOnError": false,
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"parentFlowActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"children": [
{
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 1,
"continueOnError": false,
"nameOverride": "<string>",
"overrides": {
"params": {}
}
}
]
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"flowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parentFlowActionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"continueOnError": true,
"nameOverride": "<string>",
"overrides": {
"params": {}
},
"createdAt": "<string>"
}
}{
"error": "<string>"
}Flows
Add an action to a flow
Append a single action to a flow at the given position, optionally nesting it under a parentFlowActionId or supplying its own children. Supports a nameOverride, param overrides, and continueOnError. Returns 404 if the flow does not exist.
POST
/
flows
/
{flowId}
/
actions
JavaScript
import Mobilerun from '@mobilerun/sdk';
const client = new Mobilerun({
apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
});
const response = await client.workflows.flows.actions.add('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
actionId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
position: 0,
});
console.log(response.data);import os
from mobilerun_sdk import Mobilerun
client = Mobilerun(
api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"), # This is the default and can be omitted
)
response = client.workflows.flows.actions.add(
flow_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
action_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
position=0,
)
print(response.data)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/droidrun-cloud-go"
"github.com/stainless-sdks/droidrun-cloud-go/option"
)
func main() {
client := mobileruncloud.NewClient(
option.WithAPIKey("My API Key"),
)
response, err := client.Workflows.Flows.Actions.Add(
context.TODO(),
"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
mobileruncloud.WorkflowFlowActionAddParams{
ActionID: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
Position: 0,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", response.Data)
}mobilerun-cloud workflows:flows:actions add \
--api-key 'My API Key' \
--flow-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--action-id 182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e \
--position 0Authorizations
Bearer token via Authorization header
Path Parameters
Body
application/json
Response
Flow action added
Show child attributes
Show child attributes
Was this page helpful?
⌘I